Bug 464269 - Catalog shows wrong reivewed status in "Test Run Information" part
Catalog shows wrong reivewed status in "Test Run Information" part
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: XINSUN
Depends On:
  Show dependency treegraph
Reported: 2008-09-27 00:58 EDT by QinXie
Modified: 2008-10-28 01:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-28 01:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description QinXie 2008-09-27 00:58:45 EDT
What we expected is only after that test is selected in the "Test Plan Progress" and check box "confirm" is checked, the test entry in "Test Run Information" will be marked as "reviewed".

But now, select one test for some plan in "Test Plan Progress", leaving "confirm" check box UNCHECKED, next click "Save Changes" button, now the test entry in "Test Run Information" will be marked as "reviewed".
Comment 1 Rob Landry 2008-09-30 17:17:10 EDT
Instead of "(reviewed)" change the text to "(in testplan)".  This way the information now has more use as it also describes which entries in a given package  a vendor thinks provides for each testplan line instead of limiting it to just result lines that reviewers have manually mapped.
Comment 2 Rob Landry 2008-10-03 00:58:29 EDT
Index: packages_data.html.tmpl
RCS file: /cvs/qa/hwcert/template/en/default/bug/packages_data.html.tmpl,v
retrieving revision 1.7
diff -u -r1.7 packages_data.html.tmpl
--- packages_data.html.tmpl     30 Jul 2008 16:51:23 -0000      1.7
+++ packages_data.html.tmpl     3 Oct 2008 04:58:09 -0000
@@ -66,7 +66,7 @@
             <th>Arch: [% t.rep_platform FILTER html %]</th>
           <tr class="row-2">
-            <th>Test ID</th>
+            <th><img src="images/pixel.gif" width="20px">&nbsp;Test&nbsp;ID</th>
             <th>Extra Files</th>
@@ -76,10 +76,12 @@
         <tr class="[% IF loop.index % 2 %]list-row-even[% ELSE %]list-row-odd[% END %]">
           <td class="first-column">
-            [% t.id %]
             [% IF t.reviewed_in_testplan == 'true' %]
-            &nbsp(Reviewed)
+            <img src="images/bookmark_add.png" alt="marked in testplan">
+            [% ELSE %]
+            <img src="images/pixel.gif" width="20px">
             [% END %]
+            &nbsp;[% t.id %]
           <td style="vertical-align:middle;" valign="middle">

Note You need to log in before you can comment on or make changes to this bug.